Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mapping
Class MappingParameters

    java.lang.Object
      org.pentaho.di.trans.steps.mapping.MappingParameters

All Implemented Interfaces:
  Cloneable

    public class MappingParameters

extends Object
implements Cloneable

We need out mapping to be parameterized.
This we do with the use of environment variables.
That way we can set one variable to another, etc.

Since:
  2007-06-27
Version:
  3.0
Author:
  matt

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`MappingParameters()`
`MappingParameters(Node paramNode)`
`MappingParameters(Repository rep, long id_step)`

Method Summary
`Object` | `clone()`
`String[]` | `getInputField()`
`String[]` | `getVariable()`
`String` | `getXML()`
`boolean` | `isInheritingAllVariables()`
`void` | `saveRep(Repository rep, long id_transformation, long id_step)`
`void` | `setInheritingAllVariables(boolean inheritingAllVariables)`
`void` | `setInputField(String[] inputField)`
`void` | `setVariable(String[] variable)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### MappingParameters

    public MappingParameters()

### MappingParameters

    public MappingParameters(Node paramNode)

### MappingParameters

    public MappingParameters(Repository rep,
                             long id_step)
                      throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getXML

    public String getXML()

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getInputField

    public String[] getInputField()

  Returns:
    the inputField

### setInputField

    public void setInputField(String[] inputField)

  Parameters:
    `inputField` - the inputField to set

### getVariable

    public String[] getVariable()

  Returns:
    the variable

### setVariable

    public void setVariable(String[] variable)

  Parameters:
    `variable` - the variable to set

### isInheritingAllVariables

    public boolean isInheritingAllVariables()

  Returns:
    the inheritingAllVariables

### setInheritingAllVariables

    public void setInheritingAllVariables(boolean inheritingAllVariables)

  Parameters:
    `inheritingAllVariables` - the inheritingAllVariables to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD